Last modified: 2014-08-05 20:23:05 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 65476 - CPB: user name is incorrectly aligned in RTL wikis in Firefox
CPB: user name is incorrectly aligned in RTL wikis in Firefox
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
VectorBeta (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Amir E. Aharoni
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2014-05-19 09:58 UTC by Amir E. Aharoni
Modified: 2014-08-05 20:23 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
a screenshot with the problem (31.17 KB, image/png)
2014-05-19 09:58 UTC, Amir E. Aharoni
Details

Description Amir E. Aharoni 2014-05-19 09:58:53 UTC
Created attachment 15436 [details]
a screenshot with the problem

In LTR wikis the username is left-aligned and appears next to the user icon.

Based on this logic, in RTL wikis the username should be right-aligned. This is what happens in Chrome, but in Firefox it's left-aligned, and away from the user icon.

I suspect that this is a Firefox bug, but it needs further investigation.

See the screenshot; Firefox is on the top.
Comment 1 Amir E. Aharoni 2014-05-19 10:11:36 UTC
I am inviting some non-MediaWiki people to test this, so here are more detailed instructions to reproduce:

1. Log in to the Hebrew Wikipedia.
2. Click the Beta link in the top bar near the username (or go to https://he.wikipedia.org/wiki/Special:Preferences#mw-prefsection-betafeatures ).
3. Check "סרגל אישי מוקטן".
4. Scroll down and save the preferences.
5. Examine the little box with the username in the top left corner.
Comment 2 Amir E. Aharoni 2014-05-19 12:10:58 UTC
I didn't investigate this too deeply myself, but a standards expert told me that the likely cause is the following Firefox bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=645642

I'm going to add a CSS workaround.
Comment 3 Gerrit Notification Bot 2014-05-19 12:13:19 UTC
Change 134076 had a related patch set uploaded by Amire80:
Set explicit text-align on pt-flyout

https://gerrit.wikimedia.org/r/134076
Comment 4 Gerrit Notification Bot 2014-05-20 11:41:54 UTC
Change 134076 merged by jenkins-bot:
Set explicit text-align on pt-flyout

https://gerrit.wikimedia.org/r/134076
Comment 5 Tomasz W. Kozlowski 2014-08-05 20:23:05 UTC
Patch was merged, so assuming bug is fixed.

Please re-open if that's not the case.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links